libgsf (1.14.39-1) unstable; urgency=medium

  * New upstream release [June 2016].

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 03 Jul 2016 19:33:51 +1000

libgsf (1.14.38-1) unstable; urgency=medium

  * New upstream release [June 2016].
  * Corrected Vcs-Git URL.
  * Modernised Vcs-Browser URL.
  * Standards-Version: 3.9.8.
  * dbgsym-migration: dropped -dbg package.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 26 Jun 2016 20:15:16 +1000

libgsf (1.14.36-1) unstable; urgency=medium

  * New upstream release [February 2016].

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 20 Feb 2016 19:30:00 +1100

libgsf (1.14.35-1) unstable; urgency=medium

  * New upstream release [February 2016].
  * rules: removed obsolete "--without-python", see #447015.
    Thanks, Laurent Bigonville.
  * control: updated Vcs URLs (vcs-field-uses-insecure-uri).

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 12 Feb 2016 10:07:02 +1100

libgsf (1.14.34-2) unstable; urgency=medium

  * Multi-Arch-ification (Closes: #799638).

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 15 Oct 2015 16:23:04 +1100

libgsf (1.14.34-1) unstable; urgency=low

  * New upstream release [April 2015].

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 31 Jul 2015 08:41:58 +1000

libgsf (1.14.33-1) unstable; urgency=low

  * New upstream release [April 2015].
  * Upload to unstable.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 26 Apr 2015 17:41:14 +1000

libgsf (1.14.32-1) experimental; urgency=low

  * New upstream release [March 2015].

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 19 Mar 2015 13:21:12 +1100

libgsf (1.14.30-2) unstable; urgency=medium

  * Fixed FTBFS witn gobject-introspection>=1.41.4 (Closes: #763251).
  * Updated Standards-Version to 3.9.6.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 29 Sep 2014 11:48:17 +1000

libgsf (1.14.30-1) unstable; urgency=low

  * New upstream release [March 2014].
  * Standards to 3.9.5.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 26 Mar 2014 11:59:59 +1100

libgsf (1.14.29-1) unstable; urgency=low

  * New upstream release [January 2014].
  * Minor update to "debian/watch" file.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 12 Jan 2014 10:42:22 +1100

libgsf (1.14.28-1) unstable; urgency=low

  * New upstream release [August 2013].
  * Dropped backported "libgsf_703064.patch".

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 04 Aug 2013 01:23:56 +1000

libgsf (1.14.27-2) unstable; urgency=low

  * New backported patch to fix FTBFS on 32-bit architectures.
  * Added Homepage.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 26 Jun 2013 12:14:20 +1000

libgsf (1.14.27-1) unstable; urgency=low

  * New upstream release [June 2013].
  * Dropped all (backported) patches.
  * Minor update to .symbols file.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 25 Jun 2013 13:20:04 +1000

libgsf (1.14.26-2) unstable; urgency=low

  * Debhelper & compat to version 9.
  * Build-Depends:
    + dh-autoreconf (Closes: #713275).
    - hardening-includes
  * Removed obsolete "refresh-config-sub-guess" patch.
  * "debian/rules" re-write in DH style; packaging updates.
    + enabled parallel build.
    + verbose build (--disable-silent-rules).
    + extract SO versions from "configure.ac".
    + added minor pre-dh_install sanity check.
  * "debian/control":
    + removed unnecessary versioned (Build-)Depends.
    + expanded and sorted list of (Build-)Depends.
    + re-arranged packages.
    + minor cleanup:
      - dropped Conflicts with ancient gnumeric.
      - removed "${shlibs:Depends}" from -dbg package' Depends.
    + lintianisation: "binary-control-field-duplicates-source".
  * "debian/copyright" to copyright-format-1.0 + audit.
  * Patches are renamed for easier inspection.
  * xz compression for source archive and binary (.deb) packages.
  * Added Vcs links to new repository at collab-maint.
  * New maintainer; thanks for all your work, J.H.M. Dassen (Ray).

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 23 Jun 2013 17:00:19 +1000

libgsf (1.14.26-1) unstable; urgency=low

  * New upstream release.
  * [debian/patches/] Pick up post-release translation updates and
    introspection fixes.
  * [debian/libgsf-1-114.symbols] Update.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Mon, 04 Mar 2013 20:54:51 +0100

libgsf (1.14.25-2) unstable; urgency=medium

  * [debian/*] Fix introspection packaging. (Closes: #695599)
    * Gir package name fix: gir1.2-libgsf-1 -> gir1.2-gsf-1 .
    * Add runtime dependency of -dev on gir package.
    * Added Conflicts:/Replaces: accordingly to ensure smooth upgrades.
  * [debian/watch] Upstream has switched to .xz tarballs.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Wed, 19 Dec 2012 19:02:34 +0100

libgsf (1.14.25-1) unstable; urgency=low

  * New upstream release. (Closes: #678456)
  * [debian/patches/po-from-git, debian/patches/series] Incorporate
    post-release translation updates.
  * [debian/rules]
    * Really harden build.
    * Drop "--with-gnome-vfs" and Gnome package related bits.
    * Add "build-arch" and "build-indep" targets.
    * Enable building with introspection.
    * Fix docs installation.
    * Put PHONY target declaration near target.
  * [debian/control]
    * Bonobo and gnome-vfs use was dropped upstream; drop build dependencies
      and the Gnome packages accordingly. Update descriptions as well.
    * Add libgirepository1.0-dev and gobject-introspection build
      dependencies.
    * Add introspection package.
    * Remove VCS fields. (Closes: #676832)
    * Updated Standards-Version.
  * [debian/gir1.2-libgsf-1*] New.
  * [debian/libgsf-bin.install]
    * There are no gconf schemas to install any more.
    * Install thumbnailer desktop entry.
  * [debian/libgsf-1-dev.install, debian/libgsf-1-dev.dirs] Update.
  * [debian/libgsf-1-114.symbols] Updated.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sun, 18 Nov 2012 17:05:26 +0100

libgsf (1.14.21-2) unstable; urgency=low

  * [debian/control] Fix dependencies to allow binNMUs. Thanks Konstantinos
    Margaritis <markos@genesi-usa.com>. (Closes: #636189)

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sun, 28 Aug 2011 11:33:34 +0200

libgsf (1.14.21-1) unstable; urgency=low

  * New upstream release.
  * [debian/copyright] Reworked.
  * [debian/control] Updated Standards-Version.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sun, 22 May 2011 18:08:58 +0200

libgsf (1.14.20-1) unstable; urgency=low

  * New upstream release.
  * [debian/patches/git-eb38dfc] Removed, integrated upstream.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Fri, 25 Mar 2011 08:32:52 +0100

libgsf (1.14.19-3) unstable; urgency=low

  * [debian/control, debian/rules] Harden build.
  * [debian/patches/git-eb38dfc] Backport patch to address format issue
    highlighted by hardened build.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sat, 19 Feb 2011 11:43:59 +0100

libgsf (1.14.19-2) unstable; urgency=low

  * [debian/libgsf-1-114.symbols, debian/libgsf-gnome-1-114.symbols] New.
    Symbols going back to lenny.
  * [debian/rules]
    * Default to strict dpkg-gensymbols checks.
    * Generate a .pot file as requested for Ubuntu. (Closes: #587359)

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sat, 16 Oct 2010 12:36:48 +0200

libgsf (1.14.19-1) unstable; urgency=low

  * New upstream release.
  * [debian/control] Updated Standards-Version.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sun, 26 Sep 2010 20:56:04 +0200

libgsf (1.14.18-1) unstable; urgency=low

  * New upstream release.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Thu, 08 Apr 2010 23:30:59 +0200

libgsf (1.14.17-1) unstable; urgency=low

  * New upstream release.
  * [debian/source/format] Added - switch to source format 3.0 (quilt).
  * [debian/control] Updated Standards-Version.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sun, 14 Feb 2010 16:37:02 +0100

libgsf (1.14.16-1) unstable; urgency=low

  * New upstream release.
  * [debian/control]
    * Added libglib2.0-doc build dependency to generate cross-references for
      glib symbols.
    * Added libgtk2.0-dev build dependency to have gsf-office-thumbnailer
      be able to use gdk-pixbuf functions.
    * Added libgsf-bin Suggests: imagemagick as gsf-office-thumbnailer may
      try to use "convert".

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Tue, 13 Oct 2009 21:30:58 +0200

libgsf (1.14.15-1) unstable; urgency=low

  * New upstream release.
  * [debian/control] Updated Standards-Version.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sun, 21 Jun 2009 20:40:58 +0200

libgsf (1.14.14-1) unstable; urgency=low

  * New upstream release.
  * [debian/control] 
    * Follow upstream VCS change: replaced Vcs-Svn by Vcs-git and updated
      Vcs-Browser.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sun, 24 May 2009 07:57:27 +0200

libgsf (1.14.13-1) unstable; urgency=low

  * New upstream release.
  * This version is needed by Gnumeric 1.9.7 which has a high priority
    bugfix; setting urgency accordingly.
  * [debian/rules] Removed "--with-gnome" from confflags as it is no longer
    a separate option for the configure script.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Thu, 07 May 2009 08:26:42 +0200

libgsf (1.14.12-1) unstable; urgency=low

  * New upstream release.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sun, 26 Apr 2009 13:57:16 +0200

libgsf (1.14.11-3) unstable; urgency=medium

  * [debian/control]
    * Dropped superfluous libgvfscommon-dev build dependency.
    * Dropped -1 package revision from libxml2-dev build dependency.
    * Updated section of the debug packages.
    * Have all packages depend on ${misc:Depends}.
    * Replaced deprecated ${Source-Version} by ${binary:Version}.
    * Updated Standards-Version.
  * [debian/rules] Don't ignore errors on make distclean.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Mon, 06 Apr 2009 20:28:58 +0200

libgsf (1.14.11-2) unstable; urgency=high

  * [gsf/gsf-output-csv.c, ChangeLog] Backport fix for a code issue which
    caused FTBFS in some environments. (Closes: #513594)

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Fri, 30 Jan 2009 18:21:17 +0100

libgsf (1.14.11-1) unstable; urgency=low

  * New upstream release.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Thu, 08 Jan 2009 11:55:29 +0100

libgsf (1.14.10-3) unstable; urgency=low

  * [gsf/gsf-utils.c] Natural endian doubles aren't just used on VFP enabled
    ARM, but on ARM with EABI as well. Adjust the logic for defining
    G_FLOAT_BYTE_ORDER accordingly. Patch courtesy of Riku Voipio
    <riku.voipio@iki.fi>. (Closes: #503144)
    
 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Thu, 23 Oct 2008 19:55:22 +0200

libgsf (1.14.10-2) unstable; urgency=low

  * [debian/rules] Reenable use of gnomevfs as the oldlibs version of goffice
    relies on it. (Closes: #502971)

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Wed, 22 Oct 2008 19:13:50 +0200

libgsf (1.14.10-1) unstable; urgency=low

  * New upstream release.
  * [debian/control]
    * Updated Standards-Version.
    * Added explicit build dependency on zlib1g-dev.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sun, 19 Oct 2008 17:18:56 +0200

libgsf (1.14.9-1) unstable; urgency=low

  * New upstream release.
  * [debian/clean] New.
  * [debian/rules]
    * Removed some cleanup that's now handled by debian/clean.
    * Use "dh_prep" instead of "dh_clean -k".
  * [debian/rules, debian/control]
    * Enable gio support; bumped glib build and runtime dependencies
      accordingly.
    * Explicitly disable use of gnomevfs - use gio's implementation instead.
    * Moved gtk-doc symlink from libgsf-gnome-1-dev to libgsf-1-dev.
  * [debian/compat] Update to v7.
  * [debian/control]
    * Fix dependencies of libgsf-1-114-dbg.
    * Removed duplicate words.
    * Updated debhelper build dependency.
  * [debian/libgsf-bin.install] Add gsf-vba-dump manual page (new).
  * [debian/libgsf-gnome-1-dev.install] Remove pattern that was not used.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sat, 30 Aug 2008 15:50:04 +0200

libgsf (1.14.8-1lenny1) testing; urgency=medium

   * Fix silent data corruption bug
     http://bugzilla.gnome.org/show_bug.cgi?id=350973:
     Gnumeric's import and export of floating point constants in xls files
     was broken on Nokia 770 / armel:
     [gsf/gsf-utils.c]
     * Natural endian doubles aren't just used on VFP enabled ARM, but on
       ARM with EABI as well. Adjust the logic for defining
       G_FLOAT_BYTE_ORDER accordingly. Patch courtesy of Riku Voipio
       <riku.voipio@iki.fi>. (Closes: #503144)
     * Add self-check code for decoding of little endian doubles, taken from
       newer upstream releases.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Mon, 27 Oct 2008 19:26:55 +0100

libgsf (1.14.8-1) unstable; urgency=low

  * New upstream release.
  * [debian/rules] No longer exclude win32.h on dh_install; upstream now only
    tries to install it on win32 platforms.
  * [debian/control]
    * Bumped debhelper build dependency to match compatibility level
      specified in debian/compat.
    * Updated Standards-Version.
  * [doc/gsf-office-thumbnailer.1, doc/gsf.1] Fixed lintian warnings:
    corrected font reference and switched to .URL for hyperlinks.
  * [debian/libgsf-1-dev.doc-base] Changed section to fit in the new section
    hierarchy.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Thu, 06 Mar 2008 07:57:05 +0100

libgsf (1.14.7-2) unstable; urgency=low

  * [debian/control]
    * Fixed a syntax error which was ignored by dpkg until recently.
    * Added Vcs-Svn, Vcs-Browser.
  * [debian/rules] Changed the way in which LDFLAGS are passed so
    -Wl,--as-needed has much greater effect.
  * [debian/watch] Updated.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sun, 25 Nov 2007 14:29:33 +0100

libgsf (1.14.7-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Fri, 07 Sep 2007 20:31:29 +0200

libgsf (1.14.6-1) unstable; urgency=low

  * New upstream release.
  * [debian/libgsf-gnome-1-dev.install] Added gsf-gvfs includes.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Tue, 04 Sep 2007 18:57:39 +0200

libgsf (1.14.5-1) unstable; urgency=medium

  * New upstream release. Changes include:
    * Revert jump to dynamic types, they aren't threadsafe. [gnome #450722]
      (Closes: #431104)
  * [debian/rules] Ensure the symlinks for -dbg documentation are only
    included in the -dbg packages. (Closes: #429900)
  * [configure] Regenerated as the upstream version accidentally included an
    unexpanded macro.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Wed, 11 Jul 2007 19:56:46 +0200

libgsf (1.14.4-1) unstable; urgency=low

  * New upstream release.
  * [debian/control] Bump glib build dependency as per configure.in .
  * [debian/rules] Build arch independent package in binary-indep; general
    overhaul.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Tue, 19 Jun 2007 06:51:04 +0200

libgsf (1.14.3-1) unstable; urgency=medium

  * New upstream release.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Mon,  6 Nov 2006 22:45:03 +0100

libgsf (1.14.2-1) unstable; urgency=high

  * New upstream release. Urgency high as this includes a fix for a security
    vulnerability, [IDEF1622].
  * [debian/rules] Explicitly disable Python support.
  * [debian/libgsf-bin.install] Updated.
  * [debian/control] Updated description of libgsf-bin.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Tue,  3 Oct 2006 18:38:37 +0200

libgsf (1.14.1-2) unstable; urgency=low

  * [debian/libgsf-1-dev.install, debian/libgsf-gnome-1-dev.install,
    debian/rules] No longer include the .la files.
  * [debian/control] Bumped Standards-Version (no changes needed).

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Thu, 22 Jun 2006 22:36:12 +0200

libgsf (1.14.1-1) unstable; urgency=low

  * New upstream bugfix release.
  * [debian/control] Bumped Standards-Version.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Mon,  8 May 2006 23:20:29 +0200

libgsf (1.14.0-1) unstable; urgency=low

  * New upstream release.
  * [debian/rules] Restructured to make it easy to build "oldlibs" packages
    should they be needed.
  * [debian/watch] Updated.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Thu,  2 Mar 2006 07:05:51 +0100

libgsf (1.13.3-1) unstable; urgency=medium

  * New upstream release; limited changes.
  * [debian/watch] Updated.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Mon,  7 Nov 2005 06:52:45 +0100

libgsf (1.13.2-2) unstable; urgency=low

  * Upload to unstable.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Tue,  1 Nov 2005 18:54:14 +0100

libgsf (1.13.2-1) experimental; urgency=low

  * New upstream release. Library versioning is now separate from the
    versioning of gsf as a whole.
  * Package renames, reorganisation to take advantage of proper library
    versioning.
  * Upload to experimental for now; there are to still too many library 
    transitions happening currently.
  * [debian/control] Bumped Standards-Version.
  * [debian/rules] Link --as-needed.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Mon, 10 Oct 2005 19:22:14 +0200

libgsf (1.12.3-4) unstable; urgency=medium

  * [debian/control, debian/libgsf-1.install, debian/libgsf-gnome-1.install,
    debian/libgsf-1.dirs, debian/libgsf-gnome-1.dirs]
    Move gsf-office-thumbnailer into libgsf-gnome-1 as some people seem to
    believe having gconf installed on their system will bring about the end 
    of life as we know it. (Closes: #328371)

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Thu, 22 Sep 2005 19:12:41 +0200

libgsf (1.12.3-3) unstable; urgency=low

  * Upload to unstable now that 1.12.2-1 has made it into testing.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Wed, 14 Sep 2005 07:09:10 +0200

libgsf (1.12.3-2) experimental; urgency=medium

  * [debian/control] Added libgsf-1 Depends: ${misc:Depends} to get the gconf2
    dependency needed to install gsf-office-thumbnailer's schemas. 
    (Closes: #327760)

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Mon, 12 Sep 2005 18:40:47 +0200

libgsf (1.12.3-1) experimental; urgency=low

  * New upstream bugfix release.
  * Upload to experimental for now, so as not to interfere with the GNOME
    transition for etch.
  * [debian/libgsf-1.install, debian/libgsf-1.dirs, debian/rules] Include
    gsf-office-thumbnailer helper binary and its support files.
  * [debian/watch] Updated.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Thu,  8 Sep 2005 18:46:03 +0200

libgsf (1.12.2-1) unstable; urgency=high

  * New upstream release.
  * [debian/rules] Dropped "--enable-iso-c".
  * [debian/copyright] Updated.
  * [debian/control] The libgsf API for metadata was changed in 1.12 without a
    corresponding soname change. This broke saving in Excel format for older
    versions of gnumeric but caused no other reported breakage. Added a 
    Conflicts: to handle this. (A renaming of the library package would force
    rebuilds of a large number of packages that are otherwise not affected by 
    this API change). (Closes: #316096)

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Tue, 16 Aug 2005 09:39:56 +0200

libgsf (1.12.1-1) unstable; urgency=low

  * New upstream release.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Mon, 13 Jun 2005 07:04:14 +0200

libgsf (1.12.0-1) unstable; urgency=low

  * New upstream release
  * [debian/control] Updated glib build dependencies per configure.in.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Tue, 10 May 2005 14:08:14 +0200

libgsf (1.11.1-1) unstable; urgency=medium

  * New upstream release.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Mon,  6 Dec 2004 19:48:31 +0100

libgsf (1.11.0-1) unstable; urgency=medium

  * New upstream release.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Mon, 29 Nov 2004 14:43:07 +0100

libgsf (1.10.1-1) unstable; urgency=high

  * New upstream bugfix release. XLS files larger than 6.8 MB written by
    gnumeric using older libgsf were corrupted by Excel.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Fri, 20 Aug 2004 21:43:56 +0200

libgsf (1.10.0-4) unstable; urgency=medium

  * [debian/rules] Corrected documentation symlink to make the API docs
    accessible through devhelp.
  * [config.guess, config.sub] Updated.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sat, 14 Aug 2004 21:50:14 +0200

libgsf (1.10.0-3) unstable; urgency=low

  * [debian/watch] Added.
  * [debian/libgsf-1-dev.doc-base] Corrected documentation location. 
    (Closes: #262912)

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Tue,  3 Aug 2004 19:15:22 +0200

libgsf (1.10.0-2) unstable; urgency=low

  * Upload to unstable.
  * [configure.in] Patch (already in upstream CVS) to fix symbol resolution
    issues.
  * Relibtoolised/auto*ed.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Tue, 13 Jul 2004 17:42:43 +0200

libgsf (1.10.0-1) experimental; urgency=low

  * New upstream release.
  * Upload to experimental for now, so as not to interfere with the cupsys
    transition for sarge.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Mon,  5 Jul 2004 20:39:27 +0200

libgsf (1.9.1-6) unstable; urgency=high

  * [debian/control] Readded libgsf-1-dev Depends: libbz2-dev as libgsf-1.la 
    has `-lbz2' in dependency_libs.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sun, 13 Jun 2004 13:57:29 +0200

libgsf (1.9.1-5) unstable; urgency=medium

  * [debian/control] Dependencies overhaul.
    * Added libgsf-1-dev Depends: libxml2-dev. (Closes: #253013)
    * Added libgsf-1-dev Depends: libglib2.0-dev (as per libgsf-1.pc).
    * Added libgsf-1-dev, libgsf-gnome-1-dev Recommends: pkg-config as
      pkg-config is the recommended way of obtaining appropriate compilation
      and linking flags.
    * Removed libgsf-1-dev Depends: libbz2-dev as neither include files nor
      the .pc file refer to it, making the libbz dependency completely 
      contained within the runtime library.
  * [NEWS,ChangeLog,gsf/gsf-infile-msole.c,gsf/gsf-outfile-stdio.c,gsf-gnome/gsf-input-gnomevfs.c]
    Pick up more minor bugfixes from CVS.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sun,  6 Jun 2004 18:24:25 +0200

libgsf (1.9.1-4) unstable; urgency=low

  * [debian/control] Tightened build dependencies; rebuild against GNOME 2.6
    libraries.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Wed, 26 May 2004 08:59:45 +0200

libgsf (1.9.1-3) unstable; urgency=high

  * [gsf/gsf-utils.c] Updated patch from CVS as the previous one wasn't
    enough; it FTBFS on ARM.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Fri, 21 May 2004 21:24:18 +0200

libgsf (1.9.1-2) unstable; urgency=high

  * [gsf/gsf-utils.c] Applied patch from CVS to deal with ARM's "mixed-endian"
    storage of doubles. (Closes: #250249)

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Fri, 21 May 2004 18:12:13 +0200

libgsf (1.9.1-1) unstable; urgency=medium

  * New upstream release.
  * [debian/control] Remove workaround dependency on openjade and bumped
    gtk-doc-tools dependency.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sun, 16 May 2004 22:02:03 +0200

libgsf (1.9.0-1) unstable; urgency=medium

  * New upstream release.
  * [debian/libgsf-1-dev.install] Follow documentation changes.
  * [debian/rules] Take advantage of some linker features.
    Include a /usr/share/gtk-doc/html/gsf symlink to the docs.
  * [debian/control] Add a dependency on openjade to work around
    gtk-doc-tools' incomplete dependencies.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Thu,  6 May 2004 19:47:45 +0200

libgsf (1.8.2-6) unstable; urgency=low

  * [doc/Makefile.am] Patch from CVS to fix one of the two jade complaints
    about the SGML documentation.
  * [configure.in] Patch from CVS to improve fdopen detection.
  * [gsf/gsf-libxml.c] Updated from CVS.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Thu,  5 Feb 2004 20:08:12 +0100

libgsf (1.8.2-5) unstable; urgency=medium

  * [debian/control] Pass along -Wl,-z,defs through LDFLAGS rather than
    CFLAGS.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Fri,  7 Nov 2003 08:06:11 +0100

libgsf (1.8.2-4) unstable; urgency=medium

  * [debian/control] Really pass along CFLAGS; added -Wl,-z,defs to catch
    incomplete shared library dependency information at build time.
  * [debian/control, debian/rules, debian/*-dbg*] Produce -dbg packages as
    well.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sat, 25 Oct 2003 16:36:43 +0200

libgsf (1.8.2-3) unstable; urgency=medium

  * [debian/control] Tightened libgnomevfs2-dev build dependency so as not to
    run into problems with liblinc.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sat, 18 Oct 2003 17:02:58 +0200

libgsf (1.8.2-2) unstable; urgency=medium

  * [debian/control] Versioned the libbonobo2-dev so as not to depend on the
    bonobo-activation packages which are being phased out (as
    bonobo-activiation has been rolled into bonobo).
  * [config.guess, config.sub] Updated.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sat, 18 Oct 2003 15:01:49 +0200

libgsf (1.8.2-1) unstable; urgency=medium

  * New upstream release.
  * [debian/control] Updated Standards-Version.
  * [debian/control, debian/rules] Use dh_buildinfo.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sat, 13 Sep 2003 12:10:50 +0200

libgsf (1.8.1-4) unstable; urgency=high

  * [debian/control] Upped the gtk-doc-tools build dependency to hopefully
    finally build again on all architectures.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sat, 28 Jun 2003 21:30:59 +0200

libgsf (1.8.1-3) unstable; urgency=high

  * Revert the jade changes from -2 now that m68k's jade issue is fixed.
  * [debian/control] Versioned the gtk-doc-tools build dependency to ensure we
    can build the docs on all architectures.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Thu, 19 Jun 2003 21:12:53 +0200

libgsf (1.8.1-2) unstable; urgency=high

  * Try to work around a Jade bus error on m68k (#196730) by using OpenJade 
    instead.
    * [doc/gtkdoc-mkhtml] New; based on the one from gtk-doc-tools 1.0-4.
      Changed to use OpenJade rather than Jade.
    * [debian/rules] Make doc/gtkdoc-mkhtml executable.
    * [doc/Makefile.am] Use local gtkdoc-mkhtml.
    * [debian/control] Added OpenJade build dependency.
  * [debian/control] Put libgsf-1-dev and libgsf-gnome-1-dev in section
    `libdevel'.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Mon, 16 Jun 2003 08:53:07 +0200

libgsf (1.8.1-1) unstable; urgency=medium

  * New upstream release.
  * Updated debianisation: switched from dh_movefiles to dh_install.
  * Updated Standards-Version.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sun,  8 Jun 2003 11:33:24 +0200

libgsf (1.8.0-3) unstable; urgency=medium

  * [gsf/Makefile.am] Extended libgsf_1_la_LIBADD for proper inter-library
    dependensies.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Wed, 14 May 2003 21:43:04 +0200

libgsf (1.8.0-2) unstable; urgency=low

  * [debian/control] Added libgsf-1-dev Depends: libbz2-dev.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Mon, 12 May 2003 18:30:09 +0200

libgsf (1.8.0-1) unstable; urgency=low

  * New upstream release.
  * [debian/copyright] Follow upstream license change from GPL to LGPL.
  * [debian/control]
    * Added build dependency on libbz2-dev.
    * Updated Standards-Version.
  * [debian/rules] Build with bzip2 support.
 
 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Mon, 12 May 2003 10:08:14 +0200

libgsf (1.7.2-2) unstable; urgency=medium

  * [gsf/gsf-outfile-msole.h, gsf/gsf-outfile-msole.c] At upstream's 
    suggestion, applied ole export patch which will be in 1.8.0. 

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Thu,  6 Feb 2003 23:15:21 +0100

libgsf (1.7.2-1) unstable; urgency=low

  * New upstream release.
  * [debian/copyright] Updated.
  * [debian/rules] Clean out generated documentation.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Tue, 28 Jan 2003 08:27:58 +0100

libgsf (1.6.0-1) unstable; urgency=low

  * New upstream release.
  * Updated Standards-Version.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Thu, 19 Dec 2002 22:50:49 +0100

libgsf (1.5.0-2) unstable; urgency=low

  * Upload to unstable after consulting upstream.
  * [debian/control, debian/README] Put in some notes regarding API stability.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Fri, 15 Nov 2002 08:23:30 +0100

libgsf (1.5.0-1) experimental; urgency=low

  * New upstream release.
  * [debian/rules] Reworked so we don't need a shlibs.local .

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sat, 26 Oct 2002 23:03:22 +0200

libgsf (1.4.0-1) experimental; urgency=low

  * New upstream release.
  * Tighten dependency in shlibs to >= upstream version.
  * Updated shlibs.local.
  * Changed DEB_BUILD_OPTIONS handling and updated Standards-Version.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Thu, 19 Sep 2002 22:56:15 +0200

libgsf (1.3.0-1) experimental; urgency=low

  * New upstream release, splitting GNOME-specific parts of into a separate
    library (so the base library can be used in non-GNOME projects).
  * Tightened build dependencies.
  * Used libtool package patched with the "inst-prefix" patch (see #57087)
    to produce an ltmain.sh that deals with un-installed shared libraries
    properly, so we can produce working libgsf-gnome-1(-dev) packages.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Tue, 27 Aug 2002 15:53:22 +0200

libgsf (1.2.0-1) experimental; urgency=low

  * Initial Debian packaging. (Closes: #149355)
  * Consulted upstream and decided to have this in experimental for now as
    major changes are still expected.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Tue, 13 Aug 2002 18:54:45 +0200
